using System;
using System.ComponentModel;

namespace DapperORM.Common.Enums
{
    /// <summary>
    /// 结果类型
    /// </summary>
    public enum ResultType
    {
        /// <summary>
        /// 操作失败
        /// </summary>
        [Description("失败")]
        Failure,

        /// <summary>
        /// 操作成功
        /// </summary>
        [Description("成功")]
        Success,

        /// <summary>
        ///  签名错误
        /// </summary>
        [Description("签名错误")]
        SignError,

        /// <summary>
        /// 参数错误
        /// </summary>
        [Description("参数错误")]
        ParaError,

        /// <summary>
        /// 添加失败
        /// </summary>
        [Description("添加失败")]
        AddFail,

        /// <summary>
        /// 删除失败
        /// </summary>
        [Description("删除失败")]
        DeleteFail,

        /// <summary>
        /// 更新失败
        /// </summary>
        [Description("更新失败")]
        UpdateFail,

        /// <summary>
        /// 对象不存在
        /// </summary>
        [Description("对象不存在")]
        ObjectNull,

        /// <summary>
        /// 对象已存在
        /// </summary>
        [Description("对象已存在")]
        ObjectExsit,

        /// <summary>
        /// 对象状态不正常
        /// </summary>
        [Description("对象状态不正常")]
        ObjectStateError,


        /// <summary>
        ///  未知操作
        /// </summary>
        [Description("未知操作")]
        UnKnowOperate,

        /// <summary>
        ///  未知来源
        /// </summary>
        [Description("未知来源")]
        UnKnowSource,

        /// <summary>
        /// 未登录
        /// </summary>
        [Description("未登录")]
        UnAuthorize,

        /// <summary>
        /// 权限不足
        /// </summary>
        [Description("权限不足")]
        NoRight,
        /// <summary>
        /// 账号/权限冻结
        /// </summary>
        [Description("账号/权限冻结")]
        AuthFreezed,

        /// <summary>
        /// 内部错误（服务器错误）
        /// </summary>
        [Description("内部错误")]
        InnerError
    }
}
